package entity

type FreeStrategy struct {
	FreeStrategyId    int64  `gorm:"column:free_strategy_id;primary_key;AUTO_INCREMENT"` // 免费领样策略id
	StrategyId        int64  `gorm:"column:strategy_id"`                                 // 策略编号
	SelectionId       string `gorm:"column:selection_id"`                                // 带货任务id
	FollowersLow      int64  `gorm:"column:followers_low"`                               // 达人粉丝数下限
	FollowersUp       int64  `gorm:"column:followers_up"`                                // 达人粉丝数上限
	SaleNum           int64  `gorm:"column:sale_num"`                                    // 近30天橱窗销量
	StrategyStatus    int64  `gorm:"column:strategy_status"`                             // 招募策略状态
	EnrollNum         int64  `gorm:"column:enroll_num"`                                  // 报名数量
	ChooseNum         int64  `gorm:"column:choose_num"`                                  // 已选数量
	BeforeDeliveryNum int64  `gorm:"column:before_delivery_num"`                         // 待发货数量
	DeliveryNum       int64  `gorm:"column:delivery_num"`                                // 已发货数量
	AfterDeliveryNum  int64  `gorm:"column:after_delivery_num"`                          // 已收货数量
}

func (m *FreeStrategy) TableName() string {
	return "free_strategy"
}
