package entity

import (
	"time"
)

// Code generated by sql2gorm. DO NOT EDIT.

type InvoiceRecord struct {
	Id                int64     `gorm:"column:id;NOT NULL;primary_key;AUTO_INCREMENT"` // 自增ID
	BillingId         string    `gorm:"column:billing_id;NOT NULL;unique_key"`         // 开票订单ID
	EnterpriseID      string    `gorm:"column:enterprise_id;NOT NULL"`                 // 企业id
	SubAccountId      int64     `gorm:"column:sub_account_id;NOT NULL"`                // 子账号id
	InvoiceAmount     float64   `gorm:"column:invoice_amount;NOT NULL"`                // 开票金额
	InvoiceBody       string    `gorm:"column:invoice_body;NOT NULL"`                  // 开票方信息
	InvoiceContent    string    `gorm:"column:invoice_content;NOT NULL"`               // 发票内容
	InvoiceType       int64     `gorm:"column:invoice_type;NOT NULL"`                  // 发票类型
	InvoiceHeader     string    `gorm:"column:invoice_header;NOT NULL"`                // 发票抬头
	TaxCode           string    `gorm:"column:tax_code;NOT NULL"`                      // 税务登记证号/统一社会信用代码
	RegisteredAddress string    `gorm:"column:registered_address;NOT NULL"`            // 企业注册地址
	RegisteredPhone   string    `gorm:"column:registered_phone;NOT NULL"`              // 企业注册电话
	Bank              string    `gorm:"column:bank;NOT NULL"`                          // 开户银行
	BankCardNumber    string    `gorm:"column:bank_card_number;NOT NULL"`              // 开户银行账号
	Status            int64     `gorm:"column:status;NOT NULL"`                        // 开票状态:1 为待开票，2为已开票
	SubmitAt          time.Time `gorm:"column:submit_at;NOT NULL"`                     // 申请提交时间
	BillingAt         time.Time `gorm:"column:billing_at;NOT NULL"`                    // 开票时间
	TaskIds           string    `gorm:"column:task_ids;NOT NULL"`                      // 账单列表
	InvoiceUrl        string    `gorm:"column:invoice_url;NOT NULL"`                   // 发票
}

func (m *InvoiceRecord) TableName() string {
	return "younggee_invoice_record"
}
