// Code generated by sql2gorm. DO NOT EDIT.
package entity

import (
	"time"
)

type LocalLifeInfo struct {
	ID                  int64     `gorm:"column:id;primary_key;AUTO_INCREMENT"`             // 本地生活表主键ID
	LocalID             string    `gorm:"column:local_id;NOT NULL"`                         // 项目id
	LocalType           int64     `gorm:"column:local_type"`                                // 项目类型，1代表全流程项目，2代表专项项目
	LocalPlatform       int64     `gorm:"column:local_platform"`                            // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ServiceChargeRate   float64   `gorm:"column:service_charge_rate;default:0.00;NOT NULL"` // 公开服务费率
	StoreID             int64     `gorm:"column:store_id"`                                  // 关联门店id
	StoreRelatedAt      time.Time `gorm:"column:store_related_at"`                          // 关联门店时间
	TeamBuyingId        int64     `gorm:"column:team_buying_id"`                            // 关联团购id
	TeamBuyingRelatedAt time.Time `gorm:"column:team_buying_related_at"`                    // 关联团购时间
	PromoteBody         int64     `gorm:"column:promote_body"`                              // 推广主体（1门店 2团购）
	Donate              int64     `gorm:"column:donate"`                                    // 赠送达人套餐（1有赠送 2无赠送）
	LocalName           string    `gorm:"column:local_name"`                                // 任务标题
	TalentType          string    `gorm:"column:talent_type"`                               // 达人类型（,分隔）
	RecruitDdl          time.Time `gorm:"column:recruit_ddl"`                               // 招募截止时间
	TaskForm            int64     `gorm:"column:task_form"`                                 // 任务形式，1-3分别代表商品寄拍、素材分发、虚拟产品测评
	ContentType         int64     `gorm:"column:content_type"`                              // 内容形式，1代表图文，2代表视频
	TaskDetail          string    `gorm:"column:task_detail"`                               // 任务详情
	TaskStatus          int64     `gorm:"column:task_status"`                               // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	EnterpriseID        string    `gorm:"column:enterprise_id"`                             // 所属企业id
	SubAccountID        int64     `gorm:"column:sub_account_id;default:0;NOT NULL"`         // 子账号id
	OperatorType        int64     `gorm:"column:operator_type;default:NULL"`                // 创建者类型，1商家主账号，2商家子账号
	ApplyNum            int64     `gorm:"column:apply_num;default:0;NOT NULL"`              // 报名人数
	RecruitNum          int64     `gorm:"column:recruit_num;default:0;NOT NULL"`            // 已招募人数
	CreatedAt           time.Time `gorm:"column:created_at"`                                // 创建时间
	UpdatedAt           time.Time `gorm:"column:updated_at"`                                // 修改时间
	AutoFailAt          time.Time `gorm:"column:auto_fail_at"`                              // 失效自动处理时间
	AutoTaskID          int64     `gorm:"column:auto_task_id;default:0;NOT NULL"`           // 定时任务id
	AutoDefaultID       int64     `gorm:"column:auto_default_id;default:0;NOT NULL"`        // 违约状态id
	FailAt              time.Time `gorm:"column:fail_at"`                                   // 失效时间
	FailReason          int64     `gorm:"column:fail_reason"`                               // 失效原因，1、2分别表示逾期未支付、项目存在风险
	PaymentAmount       float64   `gorm:"column:payment_amount"`                            // 支付金额
	PayAt               time.Time `gorm:"column:pay_at"`                                    // 支付时间
	SubmitAt            time.Time `gorm:"column:submit_at"`                                 // 提交审核时间
	PassAt              time.Time `gorm:"column:pass_at"`                                   // 审核通过时间
	FinishAt            time.Time `gorm:"column:finish_at"`                                 // 结案时间
	EstimatedCost       float64   `gorm:"column:estimated_cost"`                            // 预估成本
	SettlementAmount    float64   `gorm:"column:settlement_amount;NOT NULL"`                // 结算金额
	TotalRecruitNum     int64     `gorm:"column:total_recruit_num"`                         // 此任务各策略招募人数总和
	Tools               string    `gorm:"column:tools"`                                     // 工具选择，1邀约招募 2结算账单 3样品物流 4审稿工具 5作品审查 6数据巡检（,分隔）
	NeedReview          int64     `gorm:"column:need_review;default:0;NOT NULL"`            // 待审稿
	NeedQuality         int64     `gorm:"column:need_quality;default:0;NOT NULL"`           // 待质检
	NeedCalculate       int64     `gorm:"column:need_calculate;default:0;NOT NULL"`         // 待结算
	NeedReserve         int64     `gorm:"column:need_reserve;default:0;NOT NULL"`           // 待预约
	NeedConfirm         int64     `gorm:"column:need_confirm;default:0;NOT NULL"`           // 待确认
	NeedExplore         int64     `gorm:"column:need_explore;NOT NULL"`                     // 待探店
	ExploredNum         int64     `gorm:"column:explored_num;default:0;NOT NULL"`           // 已探店
	InvoiceStatus       int64     `gorm:"column:invoice_status;default:0;NOT NULL"`         // 开票状态（1开票中 2已开票）
	NeedPay             float64   `gorm:"column:need_pay"`                                  // 待支付金额
	SettleFlag          int64     `gorm:"column:settle_flag"`
}

func (m *LocalLifeInfo) TableName() string {
	return "younggee_local_life_info"
}
