package vo

type ProjectCreateParam struct {
	EnterpriseId      string  `json:"enterprise_id"`
	SubAccountId      int64   `json:"sub_account_id"`
	Platform          int64   `json:"platform"`
	ProductId         int64   `json:"product_id"`
	ServiceChargeRate float64 `json:"service_charge_rate"`
	ProjectType       int64   `json:"project_type"` // 项目类型，1代表全流程项目，2代表专项项目
	//ProjectStatus     int64                   `json:"project_status"`    // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	ProjectName      string                  `json:"task_name"`         // 项目名称（任务标题）
	TalentType       string                  `json:"talent_type"`       // 达人类型
	RecruitDdl       string                  `json:"recruit_ddl"`       // 招募截止时间
	RecruitStrategys []CreateRecruitStrategy `json:"recruit_strategys"` // 招募策略

	ProjectForm     int64                  `json:"project_form"`   // 项目形式，1-3分别代表商品寄拍、素材分发、虚拟产品测评
	ContentType     int64                  `json:"content_type"`   // 内容形式，1代表图文，2代表视频
	ProjectDetail   string                 `json:"project_detail"` // 项目详情
	Tools           string                 `json:"tools"`          // 工具选择 1邀约招募 2结算账单 3样品物流 4审稿工具 5作品审查 6数据巡检（,分隔）
	ProjectBrief    []*ProjectBriefInfo    `json:"project_brief"`
	ProjectMaterial []*ProjectMaterialInfo `json:"project_material"`
}

type ProjectBriefInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 手卡类型（1图片 2文档）
}

type ProjectMaterialInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 素材类型（1图片 2视频）
}

// 招募策略
type CreateRecruitStrategy struct {
	StrategyID    int64   `json:"strategy_id"`    // 策略id
	FeeForm       int64   `json:"fee_form"`       // 稿费形式，1-3分别代表无费置换、一口价、自报价
	FollowersLow  int64   `json:"followers_low"`  // 达人粉丝数下限
	FollowersUp   int64   `json:"followers_up"`   // 达人粉丝数上限
	RecruitNumber int64   `json:"recruit_number"` // 招募数量
	Offer         float64 `json:"offer"`          // 报价
	ServiceCharge float64 `json:"service_charge"` // 服务费
}
