package vo

type SelectionInfoCreateParam struct {
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
	Platform     int64  `json:"platform"`
	ProductId    int64  `json:"product_id"`
	//SelectionStatus int64                   `json:"selection_status"` // 选品项目状态，1-8分别代表创建中、待审核、审核通过、待支付、已支付、执行中、失效、已结案
	SelectionName   string                  `json:"task_name"`        // 任务名称
	TaskDdl         string                  `json:"task_ddl"`         // 招募截止时间
	FreeStrategys   []UpdateFreeStrategys   `json:"free_strategys"`   // 领样策略
	RewardStrategys []UpdateRewardStrategys `json:"reward_strategys"` // 悬赏策略
	SampleNum       int64                   `json:"sample_num"`       // 样品数量
	SecBrief        []*SecBriefInfo         `json:"sec_brief"`
	SecMaterial     []*SecMaterialInfo      `json:"sec_material"`

	//ProductUrl       string  `json:"product_url"`       // 带货链接
	//RemainNum        int64   `json:"remain_num"`        // 剩余数量
	//CommissionRate   float64 `json:"commission_rate"`   // 佣金比例
	//TaskReward       float64 `json:"task_reward"`       // 任务悬赏
	//SampleCondition  string  `json:"sample_condition"`  // 领样条件
	//RewardCondition  string  `json:"reward_condition"`  // 返现悬赏条件
	//SettlementAmount float64 `json:"settlement_amount"` // 已结算金额
	//Detail           string  `json:"detail"`            // 卖点总结
	//Status           int64   `json:"status"`            // 是否删除
}

type SecBriefInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 手卡类型（1图片 2文档）
}

type SecMaterialInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 素材类型（1图片 2视频）
}

// 领样策略
type UpdateFreeStrategys struct {
	StrategyId   int64 `json:"strategy_id"`   // 策略编号
	FollowersLow int64 `json:"followers_low"` // 达人粉丝数下限
	FollowersUp  int64 `json:"followers_up"`  // 达人粉丝数上限
	SaleNum      int64 `json:"sale_num"`      // 近30天橱窗销量
	EnrollNum    int64 `json:"enroll_num"`    // 报名人数
	ChooseNum    int64 `json:"choose_num"`    // 已选人数
}

// 悬赏策略
type UpdateRewardStrategys struct {
	Reward     float64 `json:"reward"`      // 悬赏池总金额
	SaleActual int64   `json:"sale_actual"` // 实际带货销量
	PerReward  float64 `json:"per_reward"`  // 每人可获得悬赏金
}
