package vo

type StorePhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
	PhotoUid string `json:"photo_uid"`
	Symbol   int64  `json:"symbol"` // 图片为主图或详情图标志位，1为主图，2为轮播图，3为轮播视频. 4为详情图. 5为详情视频
}

type StoreCreateParam struct {
	EnterpriseId  string       `json:"enterprise_id"` // 要绑定的企业id
	SubAccountId  int64        `json:"sub_account_id"`
	StoreName     string       `json:"store_name"`     // 门店名称
	StoreCategory string       `json:"store_category"` // 门店类目（/分隔）
	StoreType     int64        `json:"store_type"`     // 门店类型，1单门店，2连锁门店
	StoreLocation string       `json:"store_location"` // 门店地址
	StoreDetail   string       `json:"store_detail"`   // 门店特点
	StoreLink     string       `json:"store_link"`     // 分销链接
	StorePhotos   []StorePhoto `json:"store_photos"`   // 图片列表
}
