package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapDeleteJobHandler(ctx *gin.Context) {
	handler := newDeleteJobHandler(ctx)
	BaseRun(handler)
}

type DeleteJobHandler struct {
	ctx  *gin.Context
	req  *http_model.DeleteJobRequest
	resp *http_model.CommonResponse
}

func (c DeleteJobHandler) getContext() *gin.Context { return c.ctx }
func (c DeleteJobHandler) getResponse() interface{} { return c.resp }
func (c DeleteJobHandler) getRequest() interface{} {
	return c.req
}
func (c DeleteJobHandler) run() {
	data := http_model.DeleteJobRequest{}
	data = *c.req
	err := db.DeleteJob(c.ctx, &data)
	if err != nil {
		logrus.Errorf("[DeleteJobHandler] call DeleteJob err:%+v\n", err)
		util.HandlerPackErrorResp(c.resp, consts.ErrorInternal, "")
		logrus.Info("DeleteJobHandler fail,req:%+v", c.req)
		return
	}
	c.resp.Message = "成功删除岗位"
	c.resp.Status = consts.ErrorSuccess
}
func (c DeleteJobHandler) checkParam() error {
	return nil
}

func newDeleteJobHandler(ctx *gin.Context) *DeleteJobHandler {
	return &DeleteJobHandler{
		ctx:  ctx,
		req:  http_model.NewDeleteJobRequest(),
		resp: http_model.NewDeleteJobResponse(),
	}
}
