package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapGetPreRechargeListHandler(ctx *gin.Context) {
	handler := newGetPreRechargeListHandler(ctx)
	BaseRun(handler)
}

type GetPreRechargeList struct {
	ctx  *gin.Context
	req  *http_model.GetPreRechargeListRequest
	resp *http_model.CommonResponse
}

func (c GetPreRechargeList) getContext() *gin.Context {
	return c.ctx
}

func (c GetPreRechargeList) getResponse() interface{} {
	return c.resp
}

func (c GetPreRechargeList) getRequest() interface{} {
	return c.req
}

func (c GetPreRechargeList) run() {
	data := http_model.GetPreRechargeListRequest{}
	data = *c.req
	res, err := db.GetPreRechargeList(c.ctx, data)
	if err != nil {
		logrus.Errorf("[GetPreRechargeList] call GetPreRechargeList err:%+v\n", err)
		util.HandlerPackErrorResp(c.resp, consts.ErrorInternal, "")
		logrus.Info("GetPreRechargeList fail,req:%+v", c.req)
		return
	}
	c.resp.Message = "成功查询充值列表"
	c.resp.Data = res
	c.resp.Status = consts.ErrorSuccess
}

func (c GetPreRechargeList) checkParam() error {
	return nil
}

func newGetPreRechargeListHandler(ctx *gin.Context) *GetPreRechargeList {
	return &GetPreRechargeList{
		ctx:  ctx,
		req:  http_model.NewGetPreRechargeListRequest(),
		resp: http_model.NewGetPreRechargeListResponse(),
	}
}
