package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WarpGetTalentWithdrawPrevalueHandler(ctx *gin.Context) {
	handler := newGetTalentWithdrawPrevalueHandler(ctx)
	BaseRun(handler)
}

type GetTalentWithdrawPrevalueHandler struct {
	ctx  *gin.Context
	req  *http_model.GetTalentWithdrawPrevalueRequest
	resp *http_model.CommonResponse
}

func (g GetTalentWithdrawPrevalueHandler) getContext() *gin.Context {
	return g.ctx
}

func (g GetTalentWithdrawPrevalueHandler) getResponse() interface{} {
	return g.resp
}

func (g GetTalentWithdrawPrevalueHandler) getRequest() interface{} {
	return g.req
}

func (g GetTalentWithdrawPrevalueHandler) run() {
	data, err := db.GetTalentWithdrawPrevalue(g.ctx)
	if err != nil {
		logrus.WithContext(g.ctx).Errorf("[GetTalentWithdrawPrevalueHandler] error GetTalentWithdrawPrevalue, err:%+v", err)
		util.HandlerPackErrorResp(g.resp, consts.ErrorInternal, consts.DefaultToast)
		return
	}
	g.resp.Data = data
	g.resp.Status = consts.ErrorSuccess
	g.resp.Message = "ok"
}

func (g GetTalentWithdrawPrevalueHandler) checkParam() error {
	return nil
}

func newGetTalentWithdrawPrevalueHandler(ctx *gin.Context) *GetTalentWithdrawPrevalueHandler {
	return &GetTalentWithdrawPrevalueHandler{
		ctx:  ctx,
		req:  http_model.NewGetTalentWithdrawPrevalueRequest(),
		resp: http_model.NewGetTalentWithdrawPrevalueResponse(),
	}
}
