package gorm_model

type YounggeeSupplierIncome struct {
	IncomeId             int     `gorm:"column:income_id;type:int(11);primary_key;AUTO_INCREMENT;comment:服务商收入表ID" json:"income_id"`
	SupplierId           int     `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	SupplierType         int     `gorm:"column:supplier_type;type:int(11);comment:服务商用户类型，1为个人PR，2为机构" json:"supplier_type"`
	SProjectId           int     `gorm:"column:s_project_id;type:int(11);comment:服务商加入商单后的种草任务ID" json:"s_project_id"`
	SLocalLifeId         int     `gorm:"column:s_local_life_id;type:int(11);comment:服务商加入商单后的本地生活ID" json:"s_local_life_id"`
	WithdrawStatus       int     `gorm:"column:withdraw_status;type:int(11);comment:提现状态，1-3分别表示可提现、提现中、已提现" json:"withdraw_status"`
	IncomeType           int     `gorm:"column:income_type;type:int(11);comment:服务商收入类型，1种草，2带货，3本地生活" json:"income_type"`
	IncomeStatus         int     `gorm:"column:income_status;type:int(11);comment:收入状态：1可回发票，2待传发票，3平台确认中，4已回发票，5可提现，6提现中，7平台确认中，8已提现" json:"income_status"`
	SupplierChargeActual float64 `gorm:"column:supplier_charge_actual;type:decimal(10,2);comment:服务费已结算" json:"supplier_charge_actual"`
}

func (m *YounggeeSupplierIncome) TableName() string {
	return "younggee_supplier_income"
}
