package gorm_model

import (
	"time"
)

type YounggeeSupplierInvoice struct {
	InvoiceId         int       `gorm:"column:invoice_id;type:int(11);primary_key;AUTO_INCREMENT;comment:服务商回票ID" json:"invoice_id"`
	SupplierId        int       `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	IncomeIds         string    `gorm:"column:income_ids;type:varchar(255);comment:服务商收入ID" json:"income_ids"`
	InvoiceStatus     int       `gorm:"column:invoice_status;type:int(11);comment:回票状态，1待传发票，2平台确认中，3已回发票，4发票驳回" json:"invoice_status"`
	InvoiceUrl        string    `gorm:"column:invoice_url;type:varchar(255);comment:发票url" json:"invoice_url"`
	SOperator         int       `gorm:"column:s_operator;type:int(11);comment:服务商回票操作人" json:"s_operator"`
	SOperatorType     int       `gorm:"column:s_operator_type;type:int(11);comment:服务商回票操作人类型，1主，2子" json:"s_operator_type"`
	UploadInvoiceTime time.Time `gorm:"column:upload_invoice_time;type:datetime;comment:上传发票时间" json:"upload_invoice_time"`
	AgreeTime         time.Time `gorm:"column:agree_time;type:datetime;comment:同意时间" json:"agree_time"`
	RejectTime        time.Time `gorm:"column:reject_time;type:datetime;comment:驳回开票时间" json:"reject_time"`
	FailReason        string    `gorm:"column:fail_reason;type:varchar(255);comment:驳回理由" json:"fail_reason"`
	Company           string    `gorm:"column:company;type:varchar(255);comment:开票公司" json:"company"`
	WithdrawStatus    int       `gorm:"column:withdraw_status;type:int(11);comment:提现状态：1可提现，2提现中，3已提现，4不可提现'" json:"withdraw_status"`
}

func (m *YounggeeSupplierInvoice) TableName() string {
	return "younggee_supplier_invoice"
}
