package http_model

import "time"

type GetRechargeListRequest struct {
	PageSize int `json:"page_size"`
	PageNum  int `json:"page_num"`
}

type RechargeListResponse struct {
	ID                 string    `json:"id"`
	Operator           string    `json:"operator"`
	RechargeAmount     float64   `json:"recharge_amount"`
	RechargeMethod     int64     `json:"recharge_method"`
	TransferVoucherUrl string    `json:"transfer_voucher_url"`
	Phone              string    `json:"phone"`
	ConfirmAt          time.Time `json:"confirm_at"`
}

type RechargeListData struct {
	RechargeListinfo []*RechargeListResponse `json:"recharge_list_info"`
	Total            int64                   `json:"total"`
}

func NewGetRechargeListRequest() *GetRechargeListRequest {
	return new(GetRechargeListRequest)
}

func NewGetRechargeListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(RechargeListData)
	return resp
}
