package http_model

type GetBillTaskListRequest struct {
	PageSize  int    `json:"page_size"`
	PageNum   int    `json:"page_num"`
	BillingID string `json:"billing_id"`
}
type BillTaskDataResponse struct {
	TaskType     int     `json:"task_type"`
	TaskForm     int     `json:"task_form"`
	Platform     int     `json:"platform"`
	ContentType  int     `json:"content_type"`
	SettleAmount string  `json:"settle_amount"`
	Operator     string  `json:"operator"`
	ProductName  string  `json:"product_name"`
	PhotoUrl     string  `json:"photo_url"`
	Price        float64 `json:"price"`
	ProductId    string  `json:"product_id"`
	Address      string  `json:"address"`
	Taskid       string  `json:"taskid"`
}

type BillTaskData struct {
	InvoiceListinfo []*BillTaskDataResponse `json:"billtask_list_info"`
	Total           int                     `json:"total"`
}

func NewGetBillTaskListRequest() *GetBillTaskListRequest {
	return new(GetBillTaskListRequest)
}

func NewGetBillTaskListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(BillTaskData)
	return resp
}
