package http_model

type GetSupplierWithdrawListRequest struct {
	PageSize int `json:"page_size"`
	PageNum  int `json:"page"`
	Status   int `json:"status"`
}

type SupplierWithdrawListResponse struct {
	WithDrawId     int           `json:"withdraw_id"`
	WithdrawAmount float64       `json:"withdraw_amount"`
	ActualAmount   float64       `json:"actual_amount"`
	PhoneNumber    string        `json:"phone_number"`
	SupplierName   string        `json:"supplier_name"`
	Name           string        `json:"name"`
	Taskinfo       *[]Tasklist   `json:"taskinfo"`
	WithDrawinfo   *Withdrawinfo `json:"withdraw_info"`
	SubmitAt       string        `json:"submit_at"`
	AggreeAt       string        `json:"aggree_at"`
	ReajectAt      string        `json:"reject_at"`
	ReajectReason  string        `json:"reject_reason"`
	SupplierId     int           `json:"supplier_id"`
	Avater         string        `json:"avater"`
}

type Withdrawinfo struct {
	Name       string `json:"name"`
	IdNumber   string `json:"id_number"`
	BankName   string `json:"bank_name"`
	BankNumber int    `json:"bank_number"`
	Phone      string `json:"phone"`
}
type SupplierWithdrawListData struct {
	WithdrawListinfo []*SupplierWithdrawListResponse `json:"withdraw_list_info"`
	Total            int64                           `json:"total"`
}

func NewGetSupplierWithdrawListRequest() *GetSupplierWithdrawListRequest {
	return new(GetSupplierWithdrawListRequest)
}

func NewGetSupplierWithdrawListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(SupplierWithdrawListData)
	return resp
}
